Bug 1734572 - Upcoming Conflict with RHEL 7.7 Python3
Summary: Upcoming Conflict with RHEL 7.7 Python3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python36
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1733190 1733193 1737028 1739804
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 22:32 UTC by Michael Rochefort
Modified: 2019-11-27 10:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 10:10:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Rochefort 2019-07-30 22:32:36 UTC
Red Hat have added a supported Python 3.6.8 python3 package (along with minimal associated packages listed below) to the base repositories in RHEL 7.7 Beta. This package will conflict with python36 in EPEL not just for the normal binary symlinks, but also for the /usr/bin/python3 symlink.

https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7-beta/html/7.7_release_notes/new_features#enhancement_compiler-and-tools

I'm not sure if this will cause a conflict for packages like cmake3 that depend on the python3 currently found in python36 (since the transition from python34). But it looks like python36 will need to be either removed or altered to be incompatible with the RHEL offering.

List of Available Packages:

python3.i686                          3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3.x86_64                        3.6.8-8.el7         rhel-7-server-beta-rpms         
python3-debug.i686                    3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3-debug.x86_64                  3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3-devel.i686                    3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3-devel.x86_64                  3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3-idle.i686                     3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3-idle.x86_64                   3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3-libs.i686                     3.6.8-8.el7         rhel-7-server-beta-rpms         
python3-libs.x86_64                   3.6.8-8.el7         rhel-7-server-beta-rpms         
python3-pip.noarch                    9.0.3-5.el7         rhel-7-server-beta-rpms         
python3-rpm-generators.noarch         6-2.el7             rhel-7-server-beta-rpms         
python3-rpm-macros.noarch             3-32.el7            rhel-7-server-beta-rpms         
python3-setuptools.noarch             39.2.0-10.el7       rhel-7-server-beta-rpms         
python3-test.i686                     3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3-test.x86_64                   3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3-tkinter.i686                  3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3-tkinter.x86_64                3.6.8-8.el7         rhel-7-server-optional-beta-rpms
python3-wheel.noarch                  0.31.1-4.el7        rhel-7-server-beta-rpms

Comment 1 Miro Hrončok 2019-07-31 00:25:44 UTC
The RHEL 7.7 python3 packages obsolete the EPEL7 python3 packages.

Comment 2 Miro Hrončok 2019-07-31 00:26:14 UTC
Keeping this open to track the retirement of them.

Comment 3 Miro Hrončok 2019-08-10 08:45:07 UTC
All should be good now. Let us know if you have any problems with the setup.


Note You need to log in before you can comment on or make changes to this bug.